## org.apache.cassandra.db
Class WriteResponse

    java.lang.Object
      org.apache.cassandra.db.WriteResponse

    public class WriteResponse

extends java.lang.Object

Nested Class Summary
`static class` `WriteResponse.WriteResponseSerializer`

Constructor Summary
`WriteResponse(java.lang.String table, java.nio.ByteBuffer key, boolean bVal)`

Method Summary
`boolean` `isSuccess()`
`java.nio.ByteBuffer` `key()`
`static Message` `makeWriteResponseMessage(Message original, WriteResponse respose)`
`static WriteResponse.WriteResponseSerializer` `serializer()`
`java.lang.String` `table()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteResponse

    public WriteResponse(java.lang.String table,
                         java.nio.ByteBuffer key,
                         boolean bVal)

Method Detail

### serializer

    public static WriteResponse.WriteResponseSerializer serializer()

### makeWriteResponseMessage

    public static Message makeWriteResponseMessage(Message original,
                                                   WriteResponse respose)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### table

    public java.lang.String table()

### key

    public java.nio.ByteBuffer key()

### isSuccess

    public boolean isSuccess()

Copyright © 2012 The Apache Software Foundation